# -*- rpm-spec -*-
# $Id: kernel-fix-lvm.spec,v 1.2 2003/11/06 18:24:22 vsu Exp $
#
%define  patch_name kernel-fix-lvm

Name: %patch_name
Version: 2003.11.06
Release: alt1

Summary: %patch_name - Linux kernel LVM fixes
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%source  1	01_lvm-1.0.5-1.0.7-update.patch
%source  2	02_lvm-memleak.patch

# http://people.sistina.com/~thornber/patches/2.4-stable/2.4.23-pre7/2.4.23-pre7-dm3/00005.patch
# filterdiff -x '*drivers/md/dm*'
%source 80	80_00005-common.patch

# http://people.sistina.com/~thornber/patches/2.4-stable/2.4.23-pre7/2.4.23-pre7-dm3/00015.patch
%source 81	81_00015.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
Linux kernel LVM fixes

%install

%install_patches

%files
%_usrsrc/*

%changelog
* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- LVM update 1.0.7 (fixes several bugs):
  + 01_lvm-1.0.5-1.0.7-update.patch
- Added:
  + 02_lvm-memleak.patch
- Replaced VFS-locking patch with the updated version taken from the dm
  patches:
  + 80_00005-common.patch
  + 81_00015.patch

* Wed Jul  9 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.07.09-alt1
- wrong %%description corrected

* Tue Jul  8 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.07.08-alt1
- Initial release

